OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.SampleShading

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBSampleShading :: MonadIO m => m Bool
- gl_ARB_sample_shading :: Bool
- gl_MIN_SAMPLE_SHADING_VALUE_ARB :: GLenum
- gl_SAMPLE_SHADING_ARB :: GLenum
- glMinSampleShadingARB :: MonadIO m => GLfloat -> m ()

# Extension Support

glGetARBSampleShading :: MonadIO m => m Bool

Is the ARB_sample_shading extension supported?

gl_ARB_sample_shading :: Bool

Is the ARB_sample_shading extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBSampleShading` in those cases instead.

# Enums

gl_MIN_SAMPLE_SHADING_VALUE_ARB :: GLenum

gl_SAMPLE_SHADING_ARB :: GLenum

# Functions

glMinSampleShadingARB

Arguments

:: MonadIO m |
=> GLfloat | `value` of type `ColorF`.
-> m () |

This command is an alias for `glMinSampleShading`.